Index: u-boot-1.3.2/include/configs/MPC8313ERDB.h
===================================================================
--- u-boot-1.3.2.orig/include/configs/MPC8313ERDB.h	2008-12-09 16:27:32.000000000 +0100
+++ u-boot-1.3.2/include/configs/MPC8313ERDB.h	2008-12-09 16:28:14.000000000 +0100
@@ -371,6 +371,7 @@
 #define CONFIG_CMD_NAND
 #define CONFIG_CMD_JFFS2
 #define CONFIG_CMD_SPI
+#define CONFIG_CMD_DTT
 #define CONFIG_CMD_GPIO
 
 #if defined(CFG_RAMBOOT)
@@ -399,6 +400,13 @@
 #define INIT_GPIO	0x08
 #define	MAX_GPIO_OUT 	7
 
+/* Digital Thermometer and Thermostat */
+#define CONFIG_DTT_LM73		1
+#define CONFIG_DTT_SENSORS	{ 0x49 }
+#define CONFIG_DTT_ALARM
+#define CFG_DTT_MAX_TEMP        70
+#define CFG_DTT_MIN_TEMP        -30
+
 /*
  * Miscellaneous configurable options
  */
Index: u-boot-1.3.2/drivers/hwmon/lm73.c
===================================================================
--- u-boot-1.3.2.orig/drivers/hwmon/lm73.c	2008-03-09 16:20:02.000000000 +0100
+++ u-boot-1.3.2/drivers/hwmon/lm73.c	2008-12-09 16:27:46.000000000 +0100
@@ -134,8 +134,13 @@
 	/*
 	 * Setup configuraton register
 	 */
+#ifdef CONFIG_DTT_ALARM
+	/* config = alert active low, enabled, and reset */
+	val = 0x40;
+#else
 	/* config = alert active low, disabled, and reset */
 	val = 0x64;
+#endif
 	if (dtt_write(sensor, DTT_CONFIG, val))
 		return 1;
 	/*
